
#include "BaseObject.h"		// CBaseObject definition

namespace FileSystem
{

CBaseObject::CBaseObject()
{
	//By default the object ins't initialized
	initialized = false;
}


CBaseObject::~CBaseObject()
{
	//if object still initialized
	if ( initialized )
	{
		//finalize the object
		finalize();
	}
}




CResult CBaseObject::initialize()
{
	//if objects is allready initialized
	if (initialized)
		//return fail code
		return CResult(codeFail,0,"initialize::object allready initialize");		
	else
		//store object initialization
		initialized = true;

	//return value
	return resultOk;
}


CResult CBaseObject::finalize()
{	
	//if the object isn't initialized
	if (!initialized)
		//return fail code
		return CResult(codeFail,0,"finalize::object not initialize");	
	else
		//store object finalization
		initialized = false;

	//return value
	return resultOk;
}
}